Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi
Class ErrorExpressionFilter

    java.lang.Object
      org.mule.routing.filters.ExpressionFilter
          org.mule.module.ibeans.spi.ErrorExpressionFilter

All Implemented Interfaces:
  org.ibeans.spi.ErrorFilter<MuleResponseMessage>, MuleContextAware, Filter

    public class ErrorExpressionFilter

extends ExpressionFilter
implements org.ibeans.spi.ErrorFilter<MuleResponseMessage>

An implementation of a `ErrorFilter` that allows for error filter expressions to be configured on an iBean

Field Summary

Fields inherited from class org.mule.routing.filters.ExpressionFilter
`logger`

Constructor Summary
`ErrorExpressionFilter()`
`ErrorExpressionFilter(String expression)`
`ErrorExpressionFilter(String evaluator, String expression, String errorCodeExpr)`
`ErrorExpressionFilter(String evaluator, String customEvaluator, String expression, String errorCodeExpr)`

Method Summary
`boolean` | `accept(MuleResponseMessage object)`
`String` | `getErrorCodeExpression()`
`String` | `getErrorExpression()`
`String` | `getType()`

Methods inherited from class org.mule.routing.filters.ExpressionFilter
`accept, equals, getCustomEvaluator, getEvaluator, getExpression, getFullExpression, hashCode, isNullReturnsTrue, setCustomEvaluator, setEvaluator, setExpression, setMuleContext, setNullReturnsTrue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorExpressionFilter

    public ErrorExpressionFilter(String evaluator,
                                 String customEvaluator,
                                 String expression,
                                 String errorCodeExpr)

### ErrorExpressionFilter

    public ErrorExpressionFilter(String evaluator,
                                 String expression,
                                 String errorCodeExpr)

### ErrorExpressionFilter

    public ErrorExpressionFilter(String expression)

### ErrorExpressionFilter

    public ErrorExpressionFilter()

Method Detail

### getErrorCodeExpression

    public String getErrorCodeExpression()

  Specified by:
    `getErrorCodeExpression` in interface `org.ibeans.spi.ErrorFilter<MuleResponseMessage>`

### getErrorExpression

    public String getErrorExpression()

  Specified by:
    `getErrorExpression` in interface `org.ibeans.spi.ErrorFilter<MuleResponseMessage>`

### getType

    public String getType()

  Specified by:
    `getType` in interface `org.ibeans.spi.ErrorFilter<MuleResponseMessage>`

### accept

    public boolean accept(MuleResponseMessage object)
                   throws org.ibeans.api.IBeansException

  Throws:
    `org.ibeans.api.IBeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.